Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Lightweight Bartering Grid
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## lbg.middleware.util
Class JobConfigurator

    java.lang.Object
      lbg.middleware.util.JobConfigurator

    public class JobConfigurator

extends java.lang.Object

Configurator of Jobs composed of multiple Tasks.

One input data file can be assigned to each Task.

The level of redundancy between files of one Job can be defined.

Since:
  2007-02-01
Author:
  Xavier Dalem, Cyril Briquet

Constructor Summary
`JobConfigurator(int tpj, int dpt, int ddr, int data_size, boolean keep_datas, java.lang.String ftp_host, int ftp_port, java.lang.String data_source_directory, SubmissionUtils.MemoryJar mj, java.lang.String main_class)` Constructs an automatic submitter.

Method Summary
`JobDescriptor` | `configureJobDescriptor()`
`int` | `getDataCount()`
`int` | `getTasksPerJob()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JobConfigurator

    public JobConfigurator(int tpj,
                           int dpt,
                           int ddr,
                           int data_size,
                           boolean keep_datas,
                           java.lang.String ftp_host,
                           int ftp_port,
                           java.lang.String data_source_directory,
                           SubmissionUtils.MemoryJar mj,
                           java.lang.String main_class)
                    throws GridException

  Constructs an automatic submitter.

  Parameters:
    `tpj` - Tasks per job
    `dpt` - Data per taks
    `ddr` - Share data ratio
    `data_size` - Data size (for ddr mode)
    `keep_datas` - `true` if the same data should be used in all calls to `configureJobDescriptor()`
    `ftp_host` - Host of the FTP server giving data for user
    `ftp_port` - Port of the FTP server giving data for user
    `data_source_directory` - data source directory
    `mj` - Grid application jar
    `main_class` - Grid application main class
  Throws:
    `GridException`

Method Detail

### getTasksPerJob

    public int getTasksPerJob()

### getDataCount

    public int getDataCount()

### configureJobDescriptor

    public JobDescriptor configureJobDescriptor()
                                         throws GridException

  Throws:
    `GridException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Lightweight Bartering Grid
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

> Copyright (c) 2005-2008, Cyril Briquet, parts Xavier Dalem.